Bug 1012046 - internal server error when glanceclient called from nova or horizon
internal server error when glanceclient called from nova or horizon
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-glanceclient (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: Jakub Ruzicka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 11:27 EDT by Dan Yocum
Modified: 2016-04-26 13:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 10:00:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace from nova api.log (9.96 KB, text/x-log)
2013-09-25 11:28 EDT, Dan Yocum
no flags Details
controller.pp puppet node file (13.03 KB, text/plain)
2013-09-25 11:29 EDT, Dan Yocum
no flags Details

  None (edit)
Description Dan Yocum 2013-09-25 11:27:54 EDT
Description of problem:

When trying to launch a VM or perform a 'nova image-list' an internal server error is produced (500).  The trace from api.log is attached.

Version-Release number of selected component (if applicable):

rhel-x86_64-server-6-ost-3

How reproducible:



Steps to Reproduce:
1. Fresh RHEL 6.4 install, updated.
2. puppet install of RHOSv3 using stackforge modules including the openstack module - controller.pp node file is attached.
3.

Actual results:

see attached trace dump


Expected results:

no error 500

Additional info:
Comment 1 Dan Yocum 2013-09-25 11:28:39 EDT
Created attachment 802923 [details]
stack trace from nova api.log
Comment 2 Dan Yocum 2013-09-25 11:29:56 EDT
Created attachment 802925 [details]
controller.pp puppet node file
Comment 4 Jakub Ruzicka 2013-11-07 10:51:08 EST
How did you get these stackforge modules? Only those from packstack-modules-puppet package are supported AFAIK.

Please provide details on howto reproduce this including obtaining the modules and installing them.
Comment 5 Dan Yocum 2013-11-07 13:55:27 EST
I had installed RHOSv2, Folsom, removed all the Folsom packages, then installed RHOSv3, Grizzly, and these errors were showing up.  

Only after I wiped the system clean - rekicked from scratch - did the errors go away.  

That's not very encouraging if anyone is every planning on trying to do an upgrade from RHOSv2 to RHOSv3.  Something was getting left around from the Folsom install.

The stackforge puppet modules we're using are from github...
Comment 6 Jakub Ruzicka 2013-11-08 10:00:04 EST
OK, so this was an environment problem rather than client bug.

I don't think this scenario (wiping Folsom, installing Grizzly) is very relevant, especially now with Havana out.

Also, I think you should use RHOS puppet modules when reporting a bug against RHOS.
Comment 7 Dan Yocum 2013-11-08 12:45:59 EST
It is troubling that an 'yum remove <all openstack related rpms>' left bits around that messed up the glanceclient from Grizzly, but you're right, the Folsom->Grizzly upgrade path is less relevant now that we're getting farther along in time.  Based on this, you can safely close this ticket as NOTABUG or whatever.

Note You need to log in before you can comment on or make changes to this bug.